Page MenuHomePhabricator

Reflist template published <references> tag
Closed, ResolvedPublic

Description

Translating Lambda Architecture from English to French, you can add the first paragraph and the references section to the translation normally. But when publishing, the references list template is published as follows

<references group="" responsive="1"></references>

The original content in English uses the Reflist template which, according to Wikidata, is expected to be transformed in the Références template for French

This is one example of the many cases that Framawiki's bot corrects (tagged as "{{références}} 2" in this list).


This quick link allows to load a minimal example to test with content translation. It also sets the publish destination to this test user sub-page to test the published result without interfering with the real wiki contents (feel free to publish and overwrite anytime).

Event Timeline

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 9 2019, 10:46 AM
Pginer-WMF updated the task description. (Show Details)Apr 9 2019, 10:55 AM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF triaged this task as Normal priority.Apr 9 2019, 11:06 AM
santhosh claimed this task.Apr 24 2019, 7:57 AM
santhosh renamed this task from References element published with unnecessary empty "group" parameter to Reflist template published <references> tag.Apr 24 2019, 9:24 AM
santhosh updated the task description. (Show Details)

The problem is with our html conversion of nodes as explained in screenshot.

The boolean parameter of ve.dm.converter.getDomFromNode indicates whether the content is for clipboard or not. Setting clipboard mode helps to have the reference body resolved and inlined in each paragraph. But if we do the same for reflist , there are consequences. One issue is the reflist template wrapping goes away and mw:Extension/references remains. This is the root cause of this ticket.

We don't look at the content of reflist template or references - we don't machine translate the content inside it. We also don't adapt the items inside it. So we don't need to set clipboard mode true.

Change 506112 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Do not use clipboard mode to get HTML of reference list node

https://gerrit.wikimedia.org/r/506112

Change 506112 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Do not use clipboard mode to get HTML of reference list node

https://gerrit.wikimedia.org/r/506112

Etonkovidova added a subscriber: Etonkovidova.EditedJun 4 2019, 9:07 AM

The query https://quarry.wmflabs.org/query/33366 fails with Unknown column 'rev_user' in 'where clause'.
As far as I could see, the rev_user exists only in the following tables.

SELECT distinct(TABLE_NAME) FROM INFORMATION_SCHEMA.COLUMNS WHERE column_name like 'rev_user%'\G
*************************** 1. row ***************************
TABLE_NAME: flow_revision
*************************** 2. row ***************************
TABLE_NAME: revision
*************************** 3. row ***************************
TABLE_NAME: ep_revisions
3 rows in set, 13 warnings (0.23 sec)